#
# spec file for package ghc-bech32
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name bech32
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.1.2
Release:        bp155.2.14
Summary:        Implementation of the Bech32 cryptocurrency address format (BIP 0173)
License:        Apache-2.0
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base58-bytestring-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-vector-devel
%endif

%description
Implementation of the Bech32 cryptocurrency address format documented in the
BIP (Bitcoin Improvement Proposal) 0173.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%changelog
* Wed Nov 10 2021 psimons@suse.com
- Update bech32 to version 1.1.2.
  [#]# [1.1.2] - 2021-11-05
  [#]## Fixed
  - Strip whitespaces from bech32 stdin to satisfy Windows `echo` command.
* Wed Jun 23 2021 psimons@suse.com
- Update bech32 to version 1.1.1.
  [#]# [1.1.1] - 2021-06-11
  [#]## Added
  - Added `--version` switch for the `bech32` command.
  [#]## Changed
  - Upgraded CI to build with Cabal 3.4.0.0 and GHC 8.10.4.
  - Update version constraints for GHC 9.0.1.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Nov  3 2020 psimons@suse.com
- Add bech32 at version 1.1.0.
